Name:		hydra
Version:	8.3
Release:	%mkrel 1
Summary:	Network logon cracker
License:	GPLv3
Group:		Security
URL:		http://www.thc.org/thc-hydra/
Source:		http://freeworld.thc.org/releases/hydra-%{version}.tar.gz
BuildRequires:	subversion-devel
BuildRequires:	mysql-devel
BuildRequires:	postgresql-devel
BuildRequires:	ncpfs-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(fbclient)
BuildRequires:	pkgconfig(libssh)
BuildRequires:	pkgconfig(libidn)
BuildRequires:	pkgconfig(gtk+-2.0)

%description
A very fast network logon cracker which support many different services.

%package gui
Summary:	GUI for %{name}
License:	GPLv3
Group:		Security
Requires:	%{name} = %{version}-%{release}

%description gui
GUI for %{name}.

%prep
%setup -q
chmod 644 LICENSE

%build
%configure2_5x --disable-xhydra
%make
cd hydra-gtk
%configure2_5x
%make

%install
install -d -m 755 %{buildroot}%{_bindir}
install -m 755 hydra %{buildroot}%{_bindir}
install -m 755 hydra-gtk/src/xhydra %{buildroot}%{_bindir}

install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 644 hydra.1 xhydra.1 pw-inspector.1 %{buildroot}%{_mandir}/man1

%files
%doc CHANGES INSTALL LICENSE* README
%{_bindir}/hydra
%{_mandir}/man1/hydra.1*
%{_mandir}/man1/pw-inspector.1*

%files gui
%{_bindir}/xhydra
%{_mandir}/man1/xhydra.1*


%changelog
* Wed Sep 28 2016 guillomovitch <guillomovitch> 8.3-1.mga6
+ Revision: 1057187
- new version 8.3

* Tue Jul 26 2016 guillomovitch <guillomovitch> 8.2-1.mga6
+ Revision: 1043661
- new version 8.2

* Fri Apr 22 2016 daviddavid <daviddavid> 8.1-4.mga6
+ Revision: 1004521
- replace BR firebird-devel to pkgconfig(fbclient) thus fixing build
- fix duplicate Summary on gui subpackage

* Wed Mar 02 2016 umeabot <umeabot> 8.1-3.mga6
+ Revision: 983479
- Rebuild for openssl

* Tue Feb 09 2016 umeabot <umeabot> 8.1-2.mga6
+ Revision: 951171
- Mageia 6 Mass Rebuild

* Fri Dec 12 2014 guillomovitch <guillomovitch> 8.1-1.mga5
+ Revision: 802802
- new version 8.1

* Tue Nov 25 2014 cjw <cjw> 8.0-4.mga5
+ Revision: 798939
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 8.0-3.mga5
+ Revision: 746956
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 8.0-2.mga5
+ Revision: 680334
- Mageia 5 Mass Rebuild

* Wed Jun 18 2014 guillomovitch <guillomovitch> 8.0-1.mga5
+ Revision: 638045
- new version 8.0

* Tue Feb 04 2014 guillomovitch <guillomovitch> 7.6-1.mga5
+ Revision: 580536
- new version 7.6

* Sat Oct 19 2013 umeabot <umeabot> 7.5-2.mga4
+ Revision: 531624
- Mageia 4 Mass Rebuild

* Wed Aug 07 2013 guillomovitch <guillomovitch> 7.5-1.mga4
+ Revision: 464299
- new version

* Mon Jan 28 2013 guillomovitch <guillomovitch> 7.4.2-1.mga3
+ Revision: 392917
- new version

* Sat Jan 12 2013 umeabot <umeabot> 7.4-2.mga3
+ Revision: 353795
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 24 2012 guillomovitch <guillomovitch> 7.4-1.mga3
+ Revision: 334652
- new version

* Sat Dec 01 2012 fwang <fwang> 7.3-3.mga3
+ Revision: 323780
- rebuild for new pcre

* Tue Oct 16 2012 guillomovitch <guillomovitch> 7.3-2.mga3
+ Revision: 307132
- switch to security group

* Tue May 29 2012 guillomovitch <guillomovitch> 7.3-1.mga3
+ Revision: 249508
- new version

* Thu Feb 16 2012 guillomovitch <guillomovitch> 7.2-1.mga2
+ Revision: 209795
- new version

* Mon Oct 31 2011 guillomovitch <guillomovitch> 7.1-1.mga2
+ Revision: 160543
- new version

* Sun Sep 25 2011 guillomovitch <guillomovitch> 7.0-1.mga2
+ Revision: 147801
- new version

* Wed Sep 21 2011 fwang <fwang> 6.5-2.mga2
+ Revision: 146237
- rebuild for new libpng

  + guillomovitch <guillomovitch>
    - new version
    - patch0: fix services list in GUI

* Wed Jul 20 2011 guillomovitch <guillomovitch> 6.4-2.mga2
+ Revision: 127282
- fix group

* Wed Jul 20 2011 guillomovitch <guillomovitch> 6.4-1.mga2
+ Revision: 127071
- imported package hydra

